Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.converters.deep
Class XML

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.AbstractConverter<XMLStreamWriter>
          grails.converters.XML
              grails.converters.deep.XML

All Implemented Interfaces:
  Converter<XMLStreamWriter>

Deprecated. The Converters framework has been refactored and this made the deep Converters obsolete

    @Deprecated
    public class XML

extends XML

A converter that converts domain classes to XML (including nested Domain Classes)

Author:
  Siegfried Puchbauer

Nested Class Summary

Nested classes/interfaces inherited from class grails.converters.XML
`XML.Builder`

Nested classes/interfaces inherited from interface org.codehaus.groovy.grails.web.converters.Converter
`Converter.CircularReferenceBehaviour`

Field Summary
`static String` | `CONFIGURATION_NAME` Deprecated.

Fields inherited from class grails.converters.XML
`log`

Fields inherited from interface org.codehaus.groovy.grails.web.converters.Converter
`DEFAULT_REQUEST_ENCODING`

Constructor Summary
`XML()` Deprecated.

Method Summary
`protected ConverterConfiguration<XML>` | `initConfig()` Deprecated.

Methods inherited from class grails.converters.XML
`attribute, build, chars, convertAnother, createNamedConfig, end, getDepth, getElementName, getNamedConfig, getStream, getWriter, handleCircularRelationship, lookupObjectMarshaller, parse, parse, parse, registerObjectMarshaller, registerObjectMarshaller, registerObjectMarshaller, registerObjectMarshaller, render, render, setTarget, startNode, toString, use, use, withDefaultConfiguration`

Methods inherited from class org.codehaus.groovy.grails.web.converters.AbstractConverter
`createBeanWrapper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIGURATION_NAME

    public static final String CONFIGURATION_NAME

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### XML

    public XML()

  Deprecated.

Method Detail

### initConfig

    protected ConverterConfiguration<XML> initConfig()

  Deprecated.
  Overrides:
    `initConfig` in class `XML`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD